> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post space invitationlink

> Create a invitation link to your



## OpenAPI

````yaml /swagger.json post /space/{spaceId}/invitation/link
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /space/{spaceId}/invitation/link:
    post:
      tags:
        - space
      description: Create a invitation link to your
      parameters:
        - schema:
            type: string
          required: true
          name: spaceId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                role:
                  type: string
                  enum:
                    - owner
                    - creator
                    - editor
                    - commenter
                    - viewer
              required:
                - role
      responses:
        '201':
          description: Successful response, return the ID of the invitation link.
          content:
            application/json:
              schema:
                type: object
                properties:
                  invitationId:
                    type: string
                  role:
                    type: string
                    enum:
                      - owner
                      - creator
                      - editor
                      - commenter
                      - viewer
                  inviteUrl:
                    type: string
                  invitationCode:
                    type: string
                  createdBy:
                    type: string
                  createdTime:
                    type: string
                required:
                  - invitationId
                  - role
                  - inviteUrl
                  - invitationCode
                  - createdBy
                  - createdTime
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/space/%7BspaceId%7D/invitation/link \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"role":"owner"}'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/space/%7BspaceId%7D/invitation/link';

            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"role":"owner"}'
            };


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/space/%7BspaceId%7D/invitation/link',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({role: 'owner'}));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload = "{\"role\":\"owner\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/space/%7BspaceId%7D/invitation/link",
            payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````